org.wildfly.swarm.microprofile.openapi.api.models.examples

## Class ExampleImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.examples.ExampleImpl

- All Implemented Interfaces:
    ModelImpl

      public class ExampleImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `Example` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExampleImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Example` | `description(String description)`
    `Example` | `externalValue(String externalValue)`
    `String` | `getDescription()`
    `String` | `getExternalValue()`
    `String` | `getRef()`
    `String` | `getSummary()`
    `Object` | `getValue()`
    `Example` | `ref(String ref)`
    `void` | `setDescription(String description)`
    `void` | `setExternalValue(String externalValue)`
    `void` | `setRef(String ref)`
    `void` | `setSummary(String summary)`
    `void` | `setValue(Object value)`
    `Example` | `summary(String summary)`
    `Example` | `value(Object value)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExampleImpl

          public ExampleImpl()

  - ### Method Detail

    - #### getRef

          public String getRef()

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#getRef()`

    - #### setRef

          public void setRef(String ref)

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#setRef(java.lang.String)`

    - #### ref

          public Example ref(String ref)

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#ref(java.lang.String)`

    - #### getSummary

          public String getSummary()

      See Also:
        `org.eclipse.microprofile.openapi.models.examples.Example#getSummary()`

    - #### setSummary

          public void setSummary(String summary)

      See Also:
        `org.eclipse.microprofile.openapi.models.examples.Example#setSummary(java.lang.String)`

    - #### summary

          public Example summary(String summary)

      See Also:
        `org.eclipse.microprofile.openapi.models.examples.Example#summary(java.lang.String)`

    - #### getDescription

          public String getDescription()

      See Also:
        `org.eclipse.microprofile.openapi.models.examples.Example#getDescription()`

    - #### setDescription

          public void setDescription(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.examples.Example#setDescription(java.lang.String)`

    - #### description

          public Example description(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.examples.Example#description(java.lang.String)`

    - #### getValue

          public Object getValue()

      See Also:
        `org.eclipse.microprofile.openapi.models.examples.Example#getValue()`

    - #### setValue

          public void setValue(Object value)

      See Also:
        `org.eclipse.microprofile.openapi.models.examples.Example#setValue(java.lang.Object)`

    - #### value

          public Example value(Object value)

      See Also:
        `org.eclipse.microprofile.openapi.models.examples.Example#value(java.lang.Object)`

    - #### getExternalValue

          public String getExternalValue()

      See Also:
        `org.eclipse.microprofile.openapi.models.examples.Example#getExternalValue()`

    - #### setExternalValue

          public void setExternalValue(String externalValue)

      See Also:
        `org.eclipse.microprofile.openapi.models.examples.Example#setExternalValue(java.lang.String)`

    - #### externalValue

          public Example externalValue(String externalValue)

      See Also:
        `org.eclipse.microprofile.openapi.models.examples.Example#externalValue(java.lang.String)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.